Subject: 30.0.50 C++ treesitter mode no coloration

From: Alan Mackenzie <[email-masked]>
Date: Wed, 14 Aug 2024 17:35:05 +0000

Hello, Emacs.

In my emacs-30 build (updated earlier today), C++ source in c++-ts-mode
is not getting fontified, except for comments and preprocessor
constructs.

I think I'm using tree-sitter-cpp version 0.22.2 as downloaded from the
Gentoo repository.  Is there an easy way to check this from inside
Emacs?

This would appear to be bug 64818/64830, which are still open in
debbugs.  Shouldn't they be closed before the first/next emacs-30
pretest?

-- 
Alan Mackenzie (Nuremberg, Germany).